Name:		julius
Version:	4.2.2
Release:	7%{?dist}
Summary:	Large vocabulary continuous speech recognition (LVCSR) decoder software
License:	Julius
URL:		http://julius.sourceforge.jp/
Source0:	http://dl.sourceforge.jp/julius/56549/%{name}-%{version}.tar.gz
Source1:	http://julius.sourceforge.jp/archive/japanese-models.tar.gz
Patch0:		julius-4.2.2-DESTDIR.patch
Patch1:		julius-4.2.2-sharedlibs.patch
BuildRequires:	perl(Jcode), alsa-lib-devel, libsndfile-devel, pulseaudio-libs-devel, zlib-devel, readline-devel
BuildRequires:	bison, flex, nkf
# Requires:	

%description
"Julius" is a high-performance, two-pass large vocabulary continuous speech 
recognition (LVCSR) decoder software for speech-related researchers and 
developers. Based on word N-gram and context-dependent HMM, it can perform 
almost real-time decoding on most current PCs in 60k word dictation task. 
Major search techniques are fully incorporated such as tree lexicon, N-gram 
factoring, cross-word context dependency handling, enveloped beam search, 
Gaussian pruning, Gaussian selection, etc. Besides search efficiency, it is 
also modularized carefully to be independent from model structures, and 
various HMM types are supported such as shared-state triphones and 
tied-mixture models, with any number of mixtures, states, or phones. 
Standard formats are adopted to cope with other free modeling toolkit such 
as HTK, CMU-Cam SLM toolkit, etc. 

%package devel
Requires:	julius = %{version}-%{release}
Summary:	Development files and libraries for libjulius and libsent

%description devel
Development files and libraries	for libjulius and libsent.

%package japanese-models
BuildArch:	noarch
Requires:	julius = %{version}-%{release}
Summary:	Julius Japanese language model and acoustic models
License:	Julius

%description japanese-models
A Japanese language model (20k-word trained by newspaper article) and acoustic 
models (Phonetic tied-mixture triphone / monophone) for use with Julius.

%prep
%setup -q
%patch0 -p1 -b .DESTDIR
%patch1 -p1 -b .shared
# Fix end-of-line encoding
sed -i 's/\r//' Release.txt
tar xvf %{SOURCE1}

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
chmod +x %{buildroot}%{_libdir}/*.so.*

mkdir -p %{buildroot}%{_datadir}/julius/
cp -a Sample.jconf %{buildroot}%{_datadir}/julius/
cp -a japanese-models/ %{buildroot}%{_datadir}/julius/

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc ChangeLog LICENSE.txt Release.txt Release-ja.txt
%{_bindir}/accept_check
%{_bindir}/adinrec
%{_bindir}/adintool
%{_bindir}/dfa_determinize
%{_bindir}/dfa_minimize
%{_bindir}/generate
%{_bindir}/generate-ngram
%{_bindir}/gram2sapixml.pl
%{_bindir}/jclient.pl
%{_bindir}/jcontrol
%{_bindir}/julius
%{_bindir}/mkbingram
%{_bindir}/mkbinhmm
%{_bindir}/mkbinhmmlist
%{_bindir}/mkdfa.pl
%{_bindir}/mkfa
%{_bindir}/mkgshmm
%{_bindir}/mkss
%{_bindir}/nextword
%{_bindir}/yomi2voca.pl
%{_libdir}/libjulius.so.*
%{_libdir}/libsent.so.*
%lang(ja) %{_mandir}/ja/man1/*
%{_mandir}/man1/*
%dir %{_datadir}/julius/
%{_datadir}/julius/Sample.jconf

%files devel
%{_bindir}/libjulius-config
%{_bindir}/libsent-config
%{_includedir}/julius/
%{_includedir}/sent/
%{_libdir}/libjulius.so
%{_libdir}/libsent.so

%files japanese-models
%{_datadir}/julius/japanese-models/

%changelog
* Wed Sep  3 2014 Tom Callaway <spot@fedoraproject.org> - 4.2.2-7
- fix DESTDIR patch so that mkfa and mkdfa.pl get installed

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 4.2.2-3
- Perl 5.18 rebuild

* Tue Aug 28 2012 Tom Callaway <spot@fedoraproject.org> - 4.2.2-2
- fix Source0 URL

* Mon Aug 13 2012 Tom Callaway <spot@fedoraproject.org> - 4.2.2-1
- initial package
